Last Comment Bug 788181 - xhr instanceof XMLHttpRequest == false in workers
: xhr instanceof XMLHttpRequest == false in workers
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: DOM: Workers (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla18
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 08:37 PDT by Andrea Marchesini [:baku]
Modified: 2012-10-16 16:11 PDT (History)
5 users (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
mochitest (2.39 KB, patch)
2012-09-04 08:49 PDT, Andrea Marchesini [:baku]
no flags Details | Diff | Splinter Review
Fix instanceof for XHR and XHR.upload in workers. (4.02 KB, patch)
2012-09-04 09:06 PDT, Boris Zbarsky [:bz]
peterv: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Andrea Marchesini [:baku] 2012-09-04 08:37:52 PDT
var xhr = new XMLHttpRequest();
  if(xhr instanceof XMLHttpRequest) ...

should be true.
Comment 1 Andrea Marchesini [:baku] 2012-09-04 08:49:59 PDT
Created attachment 658113 [details] [diff] [review]
mochitest
Comment 2 Boris Zbarsky [:bz] 2012-09-04 09:06:50 PDT
Created attachment 658119 [details] [diff] [review]
Fix instanceof for XHR and XHR.upload in workers.
Comment 3 Boris Zbarsky [:bz] 2012-09-05 08:22:47 PDT
Peter, do you think this is worth backporting to aurora or beta?
Comment 5 Boris Zbarsky [:bz] 2012-09-05 10:39:48 PDT
Comment on attachment 658119 [details] [diff] [review]
Fix instanceof for XHR and XHR.upload in workers.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Bug 740069
User impact if declined: Some scripts in workers will get incorrect instanceof
   values, which may cause some pages using workers to break.
Testing completed (on m-c, etc.): Passes attached tests.
Risk to taking this patch (and alternatives if risky): Risk is low.
String or UUID changes made by this patch: None.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-09-05 19:39:25 PDT
https://hg.mozilla.org/mozilla-central/rev/d10e508e4890

Note You need to log in before you can comment on or make changes to this bug.